For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Yardi - Not Supported
        • POSTCreate Unit: Yardi - Not Supported
        • POSTCreate Unit file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Units

Get all concessions

GET
/v1/concessions/
GET
/v1/concessions/
$curl https://api.propexo.com/v1/concessions/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "34409-69091f04f1231f4dd7b937666c656b3ebf85903d14ac630430b50ff4026449d1",
18 "x_property_id": "greenbay",
19 "x_location_id": null,
20 "x_unit_id": "312441",
21 "x_floor_plan_id": "1bed1bath",
22 "total_amount_in_cents": null,
23 "start_date": null,
24 "end_date": null,
25 "is_active": true,
26 "description": "Unit type concession - Renewal",
27 "is_one_time": true,
28 "is_recurring": true,
29 "monthly_fixed_amount_in_cents": 15000,
30 "monthly_percentage_amount": 15,
31 "monthly_percentage_raw": null,
32 "one_time_fixed_amount_in_cents": 15000,
33 "one_time_percentage_amount": 15,
34 "one_time_percentage_raw": null,
35 "number_of_occurrences": 3,
36 "fixed_amount_in_cents": null,
37 "percentage_amount": null,
38 "percentage_raw": null,
39 "lease_term_in_months": 12,
40 "lease_term_raw": "12",
41 "concession_formula_raw": null,
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "YARDI",
44 "property_id": "clwi5xiix000008l6ctdgafyh",
45 "unit_id": "cm0406pu32914429249gt3y8z1uemttw",
46 "floor_plan_id": "cm0406pu32914429310aeby3p1vv9jqd"
47 }
48 ]
49}
Get all concessions
Was this page helpful?
Previous

Get concession by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error